# Luxsci.Model.Template

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**CodeWord** | **string** | Textual unique template reference. Can contain only letters, numbers, and underscore characters. Cannot be a number. Must be unique across your templates. Optional. | [optional] 
**Title** | **string** | Internal title for this template. | 
**Subject** | **string** | Required. Email message subject to be used. This field can contain dynamic place holders. | 
**BodyHtml** | **string** | Email body content for HTML viewing. Required for formats of “html” and “both”. This field can contain dynamic place holders. | [optional] 
**BodyText** | **string** | Email body content for plain text viewing. Required for formats of “text” and “both”. This field can contain dynamic place holders. | [optional] 
**IsPrivate** | **int** | When set to 1, the template is private and will not be shared with other users.  When set to 0, the default, the template may be shared. | [optional] 
**Preheader** | **string** | Preheader (message preview) plain text content for messages that use format&#x3D;html.  The maximum length for this value is 128 characters.  All HTML tags will be automatically removed from this content. | [optional] 
**Format** | **string** | Required. What body formats to include when sending? One of these values must be supplied: (html|text|both). | 
**SlOptIn** | **bool** | Definitely use email encryption for this message (for users who are not required to use it anyway). | [optional] 
**SlOptOut** | **bool** | Opt out of encryption as this message will NOT include PHI, PII, or sensitive data. Can not be true when sl_opt_in is true or when sl_no_tls is true. | [optional] 
**SlNoTls** | **bool** | Do not use “TLS Only” as an email encryption method. Use something stronger such as Escrow, PGP, or S/MIME. | [optional] 
**TemplateGroupId** | **int** | Unique ID of the Template Group this Template is in.  A value of zero means Unassigned. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

